#include <Servo.h>          // Servo library
Servo servo1; 
Servo servo2; 
int pos1 = 0;          // inclination of servo A
int pos2 = 0;          // inclination of servo B

int xPin = 3;          // get X value from analog in Pin 3
int x;
int xout[100];       // array for storing the original X values which are to be averaged.
int xOUT;          // final processed value
int i=0;
int sum=0;
int repeatTime = 20;          // to get an average from every 20 X values

void setup(){
  Serial.begin(9600);
  servo1.attach(9); 
  servo2.attach(10); 

}

void loop(){
  delay(5);
  x = analogRead(xPin);
  xout[i] = x;          // phase 1; send X value to array xout[] which is to be processed in phase 2

  i++;
  if (i == (repeatTime-1)){
    for (int j=0; j<=(repeatTime-1); j++){ 
      sum = sum + xout[j];
    }
    xOUT = sum / (repeatTime * 5);          // phase 2: processed value x
    i = 0;                           
    sum = 0;
  }

  Serial.println(xOUT);
  servo1.write(90 + (xOUT-60) * 3);
  servo2.write(90 - (xOUT-60) * 3);

}





